## ieee-data 20131224.1

=== Makefile ===
# Copyright © 2013 Filippo Giunchedi <filippo@debian.org>
# This work is free. You can redistribute it and/or modify it under the
# terms of the Do What The Fuck You Want To Public License, Version 2,
# as published by Sam Hocevar.
# See the LICENSE file for more details.

sharedir=/usr/share/ieee-data
bindir=/usr/bin
mandir=/usr/share/man
all:

install:
	install -D -m644 oui.txt $(DESTDIR)/$(sharedir)/oui.txt
	install -D -m644 iab.txt $(DESTDIR)/$(sharedir)/iab.txt
	install -D -m644 update-oui.8 $(DESTDIR)/$(mandir)/man8/update-oui.8
	install -D -m755 update-oui $(DESTDIR)/$(bindir)/update-oui

update:
	BASEDIR=. RUN_PARSERS=0 ./update-oui

=== debian/changelog ===
ieee-data (20131224.1) unstable; urgency=low

  * Initial release. (closes: #522741)

 -- Luciano Bello <luciano@debian.org>  Tue, 24 Dec 2013 20:32:43 +0100

=== debian/control ===
Source: ieee-data
Section: net
Priority: optional
Maintainer: Luciano Bello <luciano@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Homepage: http://standards.ieee.org/regauth/oui/index.shtml
VCS-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/ieee-data/trunk
VCS-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk
Standards-Version: 3.9.4

Package: ieee-data
Architecture: all
Depends: ${misc:Depends}, wget | libwww-perl | curl
Description: OUI and IAB listings
 Provide the Organizationally Unique Identifier (OUI) and Individual Address 
 Block (IAB) listings of identifiers assigned by IEEE Standards Association.

## ieee-data 20140613.1

=== Makefile ===
# Copyright © 2013 Filippo Giunchedi <filippo@debian.org>
# Copyright © 2014 Luciano Bello <luciano@debian.org>
# This work is free. You can redistribute it and/or modify it under the
# terms of the Do What The Fuck You Want To Public License, Version 2,
# as published by Sam Hocevar.
# See the LICENSE file for more details.

sharedir=/usr/share/ieee-data
vardir=/var/lib/ieee-data
bindir=/usr/bin
mandir=/usr/share/man
all:

install:
	install -D -m644 oui.txt $(DESTDIR)/$(vardir)/oui.txt
	install -D -m644 iab.txt $(DESTDIR)/$(vardir)/iab.txt
	install -D -m644 .lastupdate $(DESTDIR)/$(vardir)/.lastupdate
	install -D -m644 update-oui.8 $(DESTDIR)/$(mandir)/man8/update-oui.8
	install -D -m755 update-oui $(DESTDIR)/$(bindir)/update-oui

update:
	BASEDIR=. RUN_PARSERS=0 ./update-oui -f

=== debian/changelog ===
ieee-data (20140613.1) unstable; urgency=high

  * Update of the files.
  * Files placed in /var. (closes: #750050)
  * Standards-Version updated.
  * Some new features on update-oui:
    - Download checker.
    - Age checker.
    - Manpage updated.

 -- Luciano Bello <luciano@debian.org>  Fri, 13 Jun 2014 09:46:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: http://standards.ieee.org/regauth/oui/index.shtml
 VCS-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/ieee-data/trunk
 VCS-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: ieee-data
 Architecture: all

## ieee-data 20141019.1

=== debian/changelog ===
ieee-data (20141019.1) unstable; urgency=medium

  * Cronjob checks if /usr/bin/update-oui is still there. Closes: #765954
  * Standards-Version updated.
  * Vcs field updated since previous format is deprecated/defunct.

 -- Luciano Bello <luciano@debian.org>  Sun, 19 Oct 2014 20:13:24 +0200

ieee-data (20141001.1) unstable; urgency=high

  * The file .lastupdate is treated in the same way as iab.txt and oui.txt. 
    Closes: #763018
  * update-oui creates files in 06444 mode. Closes: #763592

 -- Luciano Bello <luciano@debian.org>  Wed, 01 Oct 2014 16:49:45 +0200

ieee-data (20140927.1) unstable; urgency=high

  * Cron jobs is quiet. Closes: #763015
  * The files are now shipped to /usr/share/ieee-data. Closes: #763018
  * Copyright notes updated.

 -- Luciano Bello <luciano@debian.org>  Sat, 27 Sep 2014 16:15:24 +0200

ieee-data (20140828.1) unstable; urgency=medium

  * Use https to get the files.
  * Script improve to not update unnecesary.
  * Monthly cronjob to update the data added. Closes: #745253

 -- Luciano Bello <luciano@debian.org>  Thu, 28 Aug 2014 22:40:36 +0200

## ieee-data 20150531.1~deb8u2

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,9 @@
 all:
 
 install:
-	install -D -m644 oui.txt $(DESTDIR)/$(vardir)/oui.txt
-	install -D -m644 iab.txt $(DESTDIR)/$(vardir)/iab.txt
-	install -D -m644 .lastupdate $(DESTDIR)/$(vardir)/.lastupdate
+	install -D -m644 oui.txt $(DESTDIR)/$(sharedir)/oui.txt
+	install -D -m644 iab.txt $(DESTDIR)/$(sharedir)/iab.txt
+	install -D -m644 .lastupdate $(DESTDIR)/$(sharedir)/.lastupdate
 	install -D -m644 update-oui.8 $(DESTDIR)/$(mandir)/man8/update-oui.8
 	install -D -m755 update-oui $(DESTDIR)/$(bindir)/update-oui

=== debian/changelog ===
ieee-data (20150531.1~deb8u2) stable; urgency=high

  * Crontab update disable. Closes: #826104

 -- Luciano Bello <luciano@debian.org>  Sun, 27 Nov 2016 14:21:34 -0500

ieee-data (20150531.1~deb8u1) stable; urgency=medium

  * New iab.txt url updated.
  * SSL connections disable, since standards.ieee.org uses TLS AIA and 
    many dowloaders do not support it. Closes: #783096, #779543. 
  * Files mam.txt and oui36.txt added.

 -- Luciano Bello <luciano@debian.org>  Sun, 20 Dec 2015 15:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Luciano Bello <luciano@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
 Homepage: http://standards.ieee.org/regauth/oui/index.shtml
-VCS-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/ieee-data/trunk
+VCS-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ieee-data/trunk
 VCS-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: ieee-data
 Architecture: all

## ieee-data 20150531.1

=== debian/changelog ===
ieee-data (20150531.1) unstable; urgency=medium

  * New iab.txt url updated.
  * SSL connections disable, since standards.ieee.org uses TLS AIA and 
    many dowloaders do not support it. Closes: #783096, #779543. 
  * Files mam.txt and oui36.txt added.

 -- Luciano Bello <luciano@debian.org>  Sun, 31 May 2015 21:58:50 +0200

## ieee-data 20160613.1

=== debian/changelog ===
ieee-data (20160613.1) unstable; urgency=medium

  * The script update-oui was renamed as update-ieee-data.
  * Broken symlinks fixed. Closes: #827086
  * cronjob reference in the README file removed. Closes: #827087
  * maintscript added to remove /etc/cron.monthly/ieee-data obsolete file.
    Closes: #827084

 -- Luciano Bello <luciano@debian.org>  Mon, 13 Jun 2016 14:00:29 +0200

ieee-data (20160605.1) unstable; urgency=medium

  * Crontab update disable. Closes: #826104, #779139 
  * Debhelper 9.
  * Standards-Version updated to 3.9.8 

 -- Luciano Bello <luciano@debian.org>  Sat, 04 Jun 2016 22:41:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Luciano Bello <luciano@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 9.0.0)
 Homepage: http://standards.ieee.org/regauth/oui/index.shtml
 VCS-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ieee-data/trunk
 VCS-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: ieee-data
 Architecture: all

## ieee-data 20160613.1+deb9u1

=== Makefile ===
# Copyright © 2013 Filippo Giunchedi <filippo@debian.org>
# Copyright © 2014 Luciano Bello <luciano@debian.org>
# This work is free. You can redistribute it and/or modify it under the
# terms of the Do What The Fuck You Want To Public License, Version 2,
# as published by Sam Hocevar.
# See the LICENSE file for more details.

FILES := iab.txt  mam.txt  oui.txt  oui36.txt .lastupdate

sharedir=/usr/share/ieee-data
vardir=/var/lib/ieee-data
bindir=/usr/bin
mandir=/usr/share/man

all:

install: $(FILES)
	install -D -m644 $? $(DESTDIR)/$(sharedir)/
	install -D -m644 update-ieee-data.8 $(DESTDIR)/$(mandir)/man8/update-ieee-data.8
	install -D -m755 update-ieee-data $(DESTDIR)/$(bindir)/update-ieee-data

update:
	BASEDIR=. RUN_PARSERS=0 ./update-ieee-data -f

.PHONY: update install

=== debian/changelog ===
ieee-data (20160613.1+deb9u1) stretch-security; urgency=medium

  * update-ieee-data: Update URLs to fix 404 (closes: #908623, #932711)
  * d/control: Update Homepage field

 -- Samuel Henrique <samueloph@debian.org>  Sat, 05 Jun 2021 14:51:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Luciano Bello <luciano@debian.org>
 Build-Depends: debhelper (>= 9.0.0)
-Homepage: http://standards.ieee.org/regauth/oui/index.shtml
+Homepage: https://standards.ieee.org/products-services/regauth/index.html
 VCS-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ieee-data/trunk
 VCS-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk
 Standards-Version: 3.9.8

## ieee-data 20180204.1

=== Makefile ===
# Copyright © 2013 Filippo Giunchedi <filippo@debian.org>
# Copyright © 2014-2018 Luciano Bello <luciano@debian.org>
# This work is free. You can redistribute it and/or modify it under the
# terms of the Do What The Fuck You Want To Public License, Version 2,
# as published by Sam Hocevar.
# See the LICENSE file for more details.

FILES := iab.*  mam.*  oui.*  oui36.* .lastupdate

sharedir=/usr/share/ieee-data
vardir=/var/lib/ieee-data
sbindir=/usr/sbin
mandir=/usr/share/man

all:

install: $(FILES)
	install -D -m644 $? $(DESTDIR)/$(sharedir)/
	install -D -m644 update-ieee-data.8 $(DESTDIR)/$(mandir)/man8/update-ieee-data.8
	install -D -m755 update-ieee-data $(DESTDIR)/$(sbindir)/update-ieee-data

update:
	BASEDIR=. RUN_PARSERS=0 ./update-ieee-data -f

.PHONY: update install

=== debian/changelog ===
ieee-data (20180204.1) unstable; urgency=medium

  * Data in CSV format is now included (Closes: #888241).
  * Main program moved to sbin (Closes: #888242).
  * Checks if the file are writable beforehanda.
  * Nicer output.

 -- Luciano Bello <luciano@debian.org>  Sun, 04 Feb 2018 16:13:06 -0500

ieee-data (20171227.1) unstable; urgency=medium

  * Standards-Version updated to 4.1.2
  * Typo in the manpage.
  * Misc fixes to update-ieee-data (LP: #1694922, Closes: #879672),
    thanks James Page <james.page@ubuntu.com>:
    - Quote checks for download executables to ensure that they are
      correctly detected.
    - Use "curl -sL" if selected to ensure that redirects are
      followed

 -- Luciano Bello <luciano@debian.org>  Wed, 27 Dec 2017 03:24:52 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Luciano Bello <luciano@debian.org>
 Build-Depends: debhelper (>= 9.0.0)
-Homepage: https://standards.ieee.org/products-services/regauth/index.html
+Homepage: http://standards.ieee.org/regauth/oui/index.shtml
 VCS-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/ieee-data/trunk
 VCS-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 
 Package: ieee-data
 Architecture: all

## ieee-data 20180805.1

=== debian/changelog ===
ieee-data (20180805.1) unstable; urgency=medium

  * Use https to get the files (Closes: #904895).
  * Moved to Salsa.
  * Debhelper 11.
  * Standards-Version updated to 4.1.4

 -- Luciano Bello <luciano@debian.org>  Sun, 05 Aug 2018 12:16:17 -0400

=== debian/control ===
Source: ieee-data
Section: net
Priority: optional
Maintainer: Luciano Bello <luciano@debian.org>
Build-Depends: debhelper (>= 11)
Homepage: http://standards.ieee.org/regauth/oui/index.shtml
Vcs-Browser: https://salsa.debian.org/debian/ieee-data
Vcs-Git: https://salsa.debian.org/debian/ieee-data.git
Standards-Version: 4.1.4

Package: ieee-data
Architecture: all
Depends: ${misc:Depends}, wget | libwww-perl | curl
Description: OUI and IAB listings
 Provide the Organizationally Unique Identifier (OUI) and Individual Address
 Block (IAB) listings of identifiers assigned by IEEE Standards Association.

## ieee-data 20180805.1+nmu1

=== debian/changelog ===
ieee-data (20180805.1+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 30 Dec 2020 02:13:34 +0100

## ieee-data 20210605.1

=== debian/changelog ===
ieee-data (20210605.1) unstable; urgency=medium

  * Update all txt and cvs files with data from Jun 05
  * Add myself as an uploader
  * d/copyright: Remove duplicate globbing patterns

 -- Samuel Henrique <samueloph@debian.org>  Sat, 12 Jun 2021 16:29:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Luciano Bello <luciano@debian.org>
+Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper (>= 11)
 Homepage: http://standards.ieee.org/regauth/oui/index.shtml
 Vcs-Browser: https://salsa.debian.org/debian/ieee-data

## ieee-data 20220827.1

=== debian/changelog ===
ieee-data (20220827.1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * update-ieee-data: Update URLs (Closes: #1004709)
  * d/control:
    - Standards-Version updated to 4.6.1
    - Updated to dh-compat version 13

  [ Samuel Henrique ]
  * Update all files from ieee
  * update-ieee-data:
    - Use https to download files
    - Switch from tempfile to mktemp, as per deprecation notice
    - Switch from echo to printf, to avoid bashism when printing \t
    - Fix shellcheck findings and use 'command -v' instead of 'which'
    - Update copyright notice
  * d/control: Set Rules-Requires-Root: no
  * d/copyright: Update file
  * wrap-and-sort -a

 -- Samuel Henrique <samueloph@debian.org>  Sat, 27 Aug 2022 21:16:50 +0100

=== debian/control ===
Source: ieee-data
Section: net
Priority: optional
Maintainer: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13)
Homepage: https://standards.ieee.org/products-services/regauth/index.html
Vcs-Browser: https://salsa.debian.org/debian/ieee-data
Vcs-Git: https://salsa.debian.org/debian/ieee-data.git
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: ieee-data
Architecture: all
Depends: wget | libwww-perl | curl,
         ${misc:Depends}
Description: OUI and IAB listings
 Provide the Organizationally Unique Identifier (OUI) and Individual Address
 Block (IAB) listings of identifiers assigned by IEEE Standards Association.

## ieee-data 20240722

=== debian/changelog ===
ieee-data (20240722) unstable; urgency=medium

  * Team upload.
  * Update all files from ieee

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Remove 1 maintscript entries from 1 files.

 -- Leonardo Gonçalves Machado <leonardogm2003@gmail.com>  Mon, 22 Jul 2024 10:25:21 -0300

## ieee-data 20240722build1

=== debian/changelog ===
ieee-data (20240722build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:12:06 +0100
